OGRE-Next: Ogre::v1::GLES2HardwarePixelBuffer Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::GLES2HardwarePixelBuffer Class Reference

`#include <OgreGLES2HardwarePixelBuffer.h>`

Inheritance diagram for Ogre::v1::GLES2HardwarePixelBuffer:
[legend]

## Public Member Functions
| GLES2HardwarePixelBuffer (uint32 mWidth, uint32 mHeight, uint32 mDepth, PixelFormat mFormat, bool hwGamma, HardwareBuffer::Usage usage)
| Should be called by HardwareBufferManager.
virtual | ~GLES2HardwarePixelBuffer ()
virtual void | bindToFramebuffer (GLenum attachment, uint32 zoffset)
| Bind surface to frame buffer.
void | blitFromMemory (const PixelBox &src, const Box &dstBox)
void | blitToMemory (const Box &srcBox, const PixelBox &dst)
GLenum | getGLFormat ()

## Constructor & Destructor Documentation

## ◆ GLES2HardwarePixelBuffer()

Ogre::v1::GLES2HardwarePixelBuffer::GLES2HardwarePixelBuffer | ( | uint32 | mWidth,
|  | uint32 | mHeight,
|  | uint32 | mDepth,
|  | PixelFormat | mFormat,
|  | bool | hwGamma,
|  | HardwareBuffer::Usage | usage )

Should be called by HardwareBufferManager.

## ◆ ~GLES2HardwarePixelBuffer()

virtual Ogre::v1::GLES2HardwarePixelBuffer::~GLES2HardwarePixelBuffer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ bindToFramebuffer()

virtual void Ogre::v1::GLES2HardwarePixelBuffer::bindToFramebuffer | ( | GLenum | attachment,
|  | uint32 | zoffset )
| virtual

Bind surface to frame buffer.

Needs FBO extension.

Reimplemented in Ogre::v1::GLES2RenderBuffer, and Ogre::v1::GLES2TextureBuffer.

## ◆ blitFromMemory()

void Ogre::v1::GLES2HardwarePixelBuffer::blitFromMemory | ( | const PixelBox & | src,
|  | const Box & | dstBox )

## ◆ blitToMemory()

void Ogre::v1::GLES2HardwarePixelBuffer::blitToMemory | ( | const Box & | srcBox,
|  | const PixelBox & | dst )

## ◆ getGLFormat()

GLenum Ogre::v1::GLES2HardwarePixelBuffer::getGLFormat | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- OgreGLES2HardwarePixelBuffer.h